Hi everyone!

I just found out that my microphone doesn't work. I use Maverick and I read this troublesh0oting guide, the fact is that it says that Ubuntu 10.10 comes with alsa drivers 1.0.23 by default and mine is 1.0.21. I read another post where they said upgrading this might work (in fact it did in 10.04).

I tried to upgrade it by instaling alsa-driver-1.0.23 from the alsa website, but when I run ./configure it says "Please install the package with full kernel sources for your distribution" I have the Kernel Linux 2.6.32-25-generic installed on my computer. Does anyone know how to upgrade alsa-driver?

Thanks!